Package wx :: Class ImageList

[frames | no frames]

## Type ImageList

    object --+
             |
        Object --+
                 |
                ImageList

Proxy of C++ ImageList class

Method Summary
ImageList | `__init__(self, width, height, mask, initialCount)`
| `__del__(self)`
int | `Add(self, bitmap, mask)`
int | `AddIcon(self, icon)`
int | `AddWithColourMask(self, bitmap, maskColour)`
bool | `Draw(self, index, dc, x, x, flags, solidBackground)`
Bitmap | `GetBitmap(self, index)`
Icon | `GetIcon(self, index)`
int | `GetImageCount(self)`
(width,height) | `GetSize(index)`
bool | `Remove(self, index)`
bool | `RemoveAll(self)`
bool | `Replace(self, index, bitmap, mask)`

Property Summary
| `ImageCount`: See `GetImageCount`
| `Size`: See `GetSize`
| `thisown`: The membership flag

Property Details

### ImageCount

See `GetImageCount`

  Get Method:
    `GetImageCount`(self)

### Size

See `GetSize`

  Get Method:
    `GetSize`(index)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:44 2007 | http://epydoc.sf.net